Skip to content
API Reference
Search
Ctrl
K
Cancel
Documentation
Status
Select theme
Dark
Light
Auto
Home
API reference
API reference
Tenant API
Overview
Schemas
Authentication
Create access token
POST
Tenant management
List tenants
GET
Create Tenant
POST
Tenant information
GET
Update tenant name
PUT
Associate company ID to tenant
POST
Delete company ID from tenant
DELETE
Provide an icon for a tenant
POST
Request access to a tenant
POST
Status of an access request
GET
Content
Match a list of ssns to recipient for a specific tenant
POST
Match a list of emails to recipients for a specific tenant
POST
Match a list of VAT numbers to recipients for a specific tenant
POST
Match a list of VAT numbers to recipients that have an active partner integration for a specific tenant.
POST
List available recipient companies for a tenant
GET
List available recipient companies for a tenant
GET
List recipient companies that were added/removed since a previous request
GET
Send content
POST
Forms
Get form template keys
GET
Create form template
POST
Get form template
GET
Get form response keys
GET
Get form response
GET
Delete form response
DELETE
Registered letters
Get all responses
GET
Get response details
GET
Delete response
DELETE
Tickets
Create a new event
POST
Agreements
List all agreements for a tenant, with their current status
GET
Post an agreement to be signed
POST
Agreement object with current status and updated metadata
GET
Revoke an agreement
POST
Get the covenant file (signed agreement)
GET
Payment webhooks
Lists all the partner's defined payment webhooks.
GET
Add a new webhook definition
POST
Remove a webhook definition.
DELETE
Modify a webhook definition
PATCH
Request a test delivery for a webhook definition
POST
Webhooks
Payment webhook
POST
Partner API
Overview
Schemas
Authentication
Create access token
POST
Partner API v3
List accessible companies
GET
Company information
GET
List company inbox
GET
Get specific content
GET
Update content metadata
PATCH
Partner API v1
Lookup a specific company
GET
Get the company inbox
GET
Get metadata for a content.
GET
Get raw file in binary format
GET
Set status for content
POST
Webhooks
Notification for new content
POST
Notification for partner integration activation
POST
Notification for partner integration deactivation
POST
Receipt API
Overview
Schemas
Authentication
Create partner token
POST
Optional - Create chain token
POST
Optional - Create store token
POST
Chain and store management
Get chains
GET
Create or link chain
POST
Get chain by id
GET
Update chain
PUT
Get store by external id
GET
Create or link store to chain
POST
Get stores by chain id
GET
Get store by chain id and store id
GET
Get store by store id
GET
Update store
PUT
Receipts
Send receipt
POST
Fetch receipt by id
GET
Lookup user by user identifier
GET
Lookup user and service id by user identifier
GET
Expense management
Register a new Expense Management System(EMS)
POST
Begin EMS registration for a person
GET
Complete EMS registration for a person
POST
Deregister a person from an EMS by external id and owner id
POST
Deregister a person from an EMS by receipt id
DELETE
Prescriptions
Send prescription specification
POST
Documentation
Status
Select theme
Dark
Light
Auto
This is a new version of the Kivra Developer Docs. Report issues or share feedback at
avsandare.support@kivra.se
. The previous version can be found
here
.
Overview
Receipt API
1.4.5
Section titled “Receipt API 1.4.5”
Endpoint contracts for sending receipts and managing receipt integrations.
Information
OpenAPI version:
3.0.1
Operations
Section titled “Operations”
POST
/dr/v1/auth/token
POST
/dr/v1/auth/token/chain/{chainID}
POST
/dr/v1/auth/token/store/{storeID}
GET
/dr/v1/chains
POST
/dr/v1/chains
GET
/dr/v1/chains/{chainID}
PUT
/dr/v1/chains/{chainID}
GET
/dr/v1/stores
POST
/dr/v1/stores
GET
/dr/v1/chains/{chainID}/stores
GET
/dr/v1/chains/{chainID}/stores/{storeID}
GET
/dr/v1/stores/{storeID}
PUT
/dr/v1/stores/{storeID}
POST
/dr/v1/receipts
GET
/dr/v1/receipts/{receiptID}
GET
/dr/v1/users/{type}/{id}
GET
/dr/v2/users/{type}/{id}
POST
/dr/v1/expense/register
GET
/dr/v1/expense/authorise
POST
/dr/v1/expense/person
POST
/dr/v1/expense/person/deregister
DELETE
/dr/v1/expense/receipts/{receiptID}
POST
/dr/v1/prescription-specifications